Package com.independentsoft.graph.calendars

# Class Room

java.lang.Object
com.independentsoft.graph.calendars.Room

All Implemented Interfaces:
  `IUpdatable`

public class Room extends Object implements IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Room()`
  `Room​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PhysicalAddress`
  `getAddress()`
  `String`
  `getAudioDeviceName()`
  `BookingType`
  `getBookingType()`
  `String`
  `getBuilding()`
  `int`
  `getCapacity()`
  `String`
  `getDisplayDeviceName()`
  `String`
  `getDisplayName()`
  `String`
  `getEmailAddress()`
  `String`
  `getFloorLabel()`
  `int`
  `getFloorNumber()`
  `OutlookGeoCoordinates`
  `getGeoCoordinates()`
  `String`
  `getId()`
  `String`
  `getLabel()`
  `String`
  `getNickname()`
  `String`
  `getPhone()`
  `List<String>`
  `getTags()`
  `String`
  `getVideoDeviceName()`
  `boolean`
  `isWheelchairAccessible()`
  `void`
  `setAddress​(PhysicalAddress address)`
  `void`
  `setAsWheelchairAccessible​(boolean isWheelchairAccessible)`
  `void`
  `setAudioDeviceName​(String audioDeviceName)`
  `void`
  `setBookingType​(BookingType bookingType)`
  `void`
  `setBuilding​(String building)`
  `void`
  `setCapacity​(int capacity)`
  `void`
  `setDisplayDeviceName​(String displayDeviceName)`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setEmailAddress​(String emailAddress)`
  `void`
  `setFloorLabel​(String floorLabel)`
  `void`
  `setFloorNumber​(int floorNumber)`
  `void`
  `setGeoCoordinates​(OutlookGeoCoordinates geoCoordinates)`
  `void`
  `setId​(String id)`
  `void`
  `setLabel​(String label)`
  `void`
  `setNickname​(String nickname)`
  `void`
  `setPhone​(String phone)`
  `void`
  `setVideoDeviceName​(String videoDeviceName)`
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Room

    public Room()

  - ### Room

    public Room​(JsonObject jsonObject)

- ## Method Details

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getAddress

    public PhysicalAddress getAddress()

  - ### setAddress

    public void setAddress​(PhysicalAddress address)

  - ### getAudioDeviceName

    public String getAudioDeviceName()

  - ### setAudioDeviceName

    public void setAudioDeviceName​(String audioDeviceName)

  - ### getBookingType

    public BookingType getBookingType()

  - ### setBookingType

    public void setBookingType​(BookingType bookingType)

  - ### getBuilding

    public String getBuilding()

  - ### setBuilding

    public void setBuilding​(String building)

  - ### getCapacity

    public int getCapacity()

  - ### setCapacity

    public void setCapacity​(int capacity)

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### getDisplayDeviceName

    public String getDisplayDeviceName()

  - ### setDisplayDeviceName

    public void setDisplayDeviceName​(String displayDeviceName)

  - ### getEmailAddress

    public String getEmailAddress()

  - ### setEmailAddress

    public void setEmailAddress​(String emailAddress)

  - ### getFloorLabel

    public String getFloorLabel()

  - ### setFloorLabel

    public void setFloorLabel​(String floorLabel)

  - ### getFloorNumber

    public int getFloorNumber()

  - ### setFloorNumber

    public void setFloorNumber​(int floorNumber)

  - ### getGeoCoordinates

    public OutlookGeoCoordinates getGeoCoordinates()

  - ### setGeoCoordinates

    public void setGeoCoordinates​(OutlookGeoCoordinates geoCoordinates)

  - ### isWheelchairAccessible

    public boolean isWheelchairAccessible()

  - ### setAsWheelchairAccessible

    public void setAsWheelchairAccessible​(boolean isWheelchairAccessible)

  - ### getLabel

    public String getLabel()

  - ### setLabel

    public void setLabel​(String label)

  - ### getNickname

    public String getNickname()

  - ### setNickname

    public void setNickname​(String nickname)

  - ### getPhone

    public String getPhone()

  - ### setPhone

    public void setPhone​(String phone)

  - ### getTags

    public List<String> getTags()

  - ### getVideoDeviceName

    public String getVideoDeviceName()

  - ### setVideoDeviceName

    public void setVideoDeviceName​(String videoDeviceName)